%define name perl-POP3Client
%define realname POP3Client
%define version 2.6
%define release 4mdk

Name:		%{name}
Summary:	POP3Client module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README
#%{_prefix}/lib/perl5/site_perl/*/%{_arch}-linux/auto/Mail/POP3Client/.packlist
%{_prefix}/lib/perl5/site_perl/*/Mail/POP3Client.pm
%{_prefix}/lib/perl5/site_perl/*/auto/Mail/POP3Client/autosplit.ix
%{_prefix}/lib/perl5/man/man3/Mail::POP3Client.3*


%changelog
* Tue Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- macros

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- fix files section

* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.6-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 2.6

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
